#include "Event.h"

Event::Event( int n ):
  evNumber( n ) {
  partList.reserve( 10 );
}


Event::~Event() {
  int i;
  // delete all the particle pointers
  int n = partList.size();
  for ( i = 0; i < n; ++i ) delete partList[i];
}


void Event::add( float pt, float eta, float phi, int charge, int muonId ) {

  // create the new particle
  Particle* p = new Particle;
  p->pt     = pt;
  p->eta    = eta;
  p->phi    = phi;
  p->charge = charge;
  p->muonId = muonId;

  // store the new particle pointer
  partList.push_back( p );

  return;

}

